diff -urN test.go.orig/drivers/char/raw.c test.go.diff/drivers/char/raw.c
--- test.go.orig/drivers/char/raw.c	Thu Feb  7 07:15:25 2002
+++ test.go.diff/drivers/char/raw.c	Thu Feb  7 07:19:31 2002
@@ -388,19 +388,19 @@
 	 * First, a few checks on device size limits 
 	 */
 
-	minor = MINOR(filp->f_dentry->d_inode->i_rdev);
+	minor = minor(filp->f_dentry->d_inode->i_rdev);
 	dev = to_kdev_t(raw_devices[minor].binding->bd_dev);
 	sector_size = raw_devices[minor].sector_size;
 	sector_bits = raw_devices[minor].sector_bits;
 	sector_mask = sector_size- 1;
 	max_sectors = 25000; //KIO_MAX_SECTORS >> (sector_bits - 9);
 	
-	if (blk_size[MAJOR(dev)])
-		limit = (((loff_t) blk_size[MAJOR(dev)][MINOR(dev)]) << BLOCK_SIZE_BITS) >> sector_bits;
+	if (blk_size[major(dev)])
+		limit = (((loff_t) blk_size[major(dev)][minor(dev)]) << BLOCK_SIZE_BITS) >> sector_bits;
 	else
 		limit = INT_MAX;
 	pr_debug ("raw_kvec_rw: dev %d:%d (+%d)\n",
-		 MAJOR(dev), MINOR(dev), limit);
+		 major(dev), minor(dev), limit);
 
 	/* EOF at the end */
 	err = 0;
